Skip to content
Start here

Delete flag

DELETE/accounts/{account_id}/flagship/apps/{app_id}/flags/{flag_key}

Permanently deletes a flag. Subsequent evaluations fall back to the caller-supplied default. Cannot be undone.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Flagship Write
Path ParametersExpand Collapse
account_id: string

Cloudflare account ID.

app_id: string

App identifier.

flag_key: string

Flag key (slug).

ReturnsExpand Collapse
errors: array of object { message }
message: string
messages: array of object { message }
message: string
result: object { key }
key: string
success: boolean

Delete flag

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/flagship/apps/$APP_ID/flags/$FLAG_KEY \
    -X DELETE \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "errors": [
    {
      "message": "message"
    }
  ],
  "messages": [
    {
      "message": "message"
    }
  ],
  "result": {
    "key": "key"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "message": "message"
    }
  ],
  "messages": [
    {
      "message": "message"
    }
  ],
  "result": {
    "key": "key"
  },
  "success": true
}